Skip to main content
GET
/
api
/
v1
/
accounts
/
transactions
/
Get account transactions
curl --request GET \
  --url https://api.generect.com/api/v1/accounts/transactions/ \
  --header 'Authorization: <api-key>'
{
  "data": {
    "transactions": [
      {
        "id": "f0e1d2c3-b4a5-4697-8c9d-0e1f2a3b4c5d",
        "timestamp": "2026-05-15T10:30:00Z",
        "type": "search_database_leads",
        "credits": -25,
        "details": {
          "balance_type": "leads_by_icp",
          "status": "success"
        }
      }
    ]
  }
}

Use Case:

Audit account credit transactions and review which operations consumed credits.

Authorizations

Authorization
string
header
required

Use the required Token prefix. Example: Authorization: Token xxxxxxxxx

Query Parameters

limit
integer
default:100
offset
integer
default:0

Response

Account transactions

data
object